Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFClientAnchor

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFAnchor
          org.apache.poi.xssf.usermodel.XSSFClientAnchor

All Implemented Interfaces:
  ClientAnchor

    public final class XSSFClientAnchor

extends XSSFAnchor
implements ClientAnchor

A client anchor is attached to an excel worksheet. It anchors against top-left and bottom-right cells.

Author:
  Yegor Kozlov

Field Summary

Fields inherited from interface org.apache.poi.ss.usermodel.ClientAnchor
`DONT_MOVE_AND_RESIZE, MOVE_AND_RESIZE, MOVE_DONT_RESIZE`

Constructor Summary
`` | `XSSFClientAnchor()` Creates a new client anchor and defaults all the anchor positions to 0.
`protected` | `XSSFClientAnchor(org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTMarker cell1, org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTMarker cell2)` Create XSSFClientAnchor from existing xml beans
`` | `XSSFClientAnchor(int dx1, int dy1, int dx2, int dy2, int col1, int row1, int col2, int row2)` Creates a new client anchor and sets the top-left and bottom-right coordinates of the anchor.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `getAnchorType()` Gets the anchor type
`short` | `getCol1()` Returns the column (0 based) of the first cell.
`short` | `getCol2()` Returns the column (0 based) of the second cell.
`int` | `getDx1()` Returns the x coordinate within the first cell
`int` | `getDx2()` Returns the x coordinate within the second cell
`int` | `getDy1()` Returns the y coordinate within the first cell
`int` | `getDy2()` Sets the y coordinate within the second cell
`org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTMarker` | `getFrom()` Return starting anchor point
`int` | `getRow1()` Returns the row (0 based) of the first cell.
`int` | `getRow2()` Returns the row (0 based) of the second cell.
`org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTMarker` | `getTo()` Return ending anchor point
`boolean` | `isSet()`
`void` | `setAnchorType(int anchorType)` Sets the anchor type
`void` | `setCol1(int col1)` Sets the column (0 based) of the first cell.
`void` | `setCol2(int col2)` Returns the column (0 based) of the second cell.
`void` | `setDx1(int dx1)` Sets the x coordinate within the first cell
`void` | `setDx2(int dx2)` Sets the x coordinate within the second cell
`void` | `setDy1(int dy1)` Sets the y coordinate within the first cell
`void` | `setDy2(int dy2)` Sets the y coordinate within the second cell
`protected void` | `setFrom(org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTMarker from)`
`void` | `setRow1(int row1)` Returns the row (0 based) of the first cell.
`void` | `setRow2(int row2)` Returns the row (0 based) of the first cell.
`protected void` | `setTo(org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTMarker to)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSSFClientAnchor

    public XSSFClientAnchor()

  Creates a new client anchor and defaults all the anchor positions to 0.

### XSSFClientAnchor

    public XSSFClientAnchor(int dx1,
                            int dy1,
                            int dx2,
                            int dy2,
                            int col1,
                            int row1,
                            int col2,
                            int row2)

  Creates a new client anchor and sets the top-left and bottom-right coordinates of the anchor.

  Parameters:
    `dx1` - the x coordinate within the first cell.
    `dy1` - the y coordinate within the first cell.
    `dx2` - the x coordinate within the second cell.
    `dy2` - the y coordinate within the second cell.
    `col1` - the column (0 based) of the first cell.
    `row1` - the row (0 based) of the first cell.
    `col2` - the column (0 based) of the second cell.
    `row2` - the row (0 based) of the second cell.

### XSSFClientAnchor

    protected XSSFClientAnchor(org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTMarker cell1,
                               org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTMarker cell2)

  Create XSSFClientAnchor from existing xml beans

  Parameters:
    `cell1` - starting anchor point
    `cell2` - ending anchor point

Method Detail

### getCol1

    public short getCol1()

  Description copied from interface: `ClientAnchor`
  Returns the column (0 based) of the first cell.

  Specified by:
    `getCol1` in interface `ClientAnchor`
  Returns:
    0-based column of the first cell.

### setCol1

    public void setCol1(int col1)

  Description copied from interface: `ClientAnchor`
  Sets the column (0 based) of the first cell.

  Specified by:
    `setCol1` in interface `ClientAnchor`
  Parameters:
    `col1` - 0-based column of the first cell.

### getCol2

    public short getCol2()

  Description copied from interface: `ClientAnchor`
  Returns the column (0 based) of the second cell.

  Specified by:
    `getCol2` in interface `ClientAnchor`
  Returns:
    0-based column of the second cell.

### setCol2

    public void setCol2(int col2)

  Description copied from interface: `ClientAnchor`
  Returns the column (0 based) of the second cell.

  Specified by:
    `setCol2` in interface `ClientAnchor`
  Parameters:
    `col2` - 0-based column of the second cell.

### getRow1

    public int getRow1()

  Description copied from interface: `ClientAnchor`
  Returns the row (0 based) of the first cell.

  Specified by:
    `getRow1` in interface `ClientAnchor`
  Returns:
    0-based row of the first cell.

### setRow1

    public void setRow1(int row1)

  Description copied from interface: `ClientAnchor`
  Returns the row (0 based) of the first cell.

  Specified by:
    `setRow1` in interface `ClientAnchor`
  Parameters:
    `row1` - 0-based row of the first cell.

### getRow2

    public int getRow2()

  Description copied from interface: `ClientAnchor`
  Returns the row (0 based) of the second cell.

  Specified by:
    `getRow2` in interface `ClientAnchor`
  Returns:
    0-based row of the second cell.

### setRow2

    public void setRow2(int row2)

  Description copied from interface: `ClientAnchor`
  Returns the row (0 based) of the first cell.

  Specified by:
    `setRow2` in interface `ClientAnchor`
  Parameters:
    `row2` - 0-based row of the first cell.

### getDx1

    public int getDx1()

  Description copied from interface: `ClientAnchor`
  Returns the x coordinate within the first cell

  Specified by:
    `getDx1` in interface `ClientAnchor`
  Specified by:
    `getDx1` in class `XSSFAnchor`
  Returns:
    the x coordinate within the first cell

### setDx1

    public void setDx1(int dx1)

  Description copied from interface: `ClientAnchor`
  Sets the x coordinate within the first cell

  Specified by:
    `setDx1` in interface `ClientAnchor`
  Specified by:
    `setDx1` in class `XSSFAnchor`
  Parameters:
    `dx1` - the x coordinate within the first cell

### getDy1

    public int getDy1()

  Description copied from interface: `ClientAnchor`
  Returns the y coordinate within the first cell

  Specified by:
    `getDy1` in interface `ClientAnchor`
  Specified by:
    `getDy1` in class `XSSFAnchor`
  Returns:
    the y coordinate within the first cell

### setDy1

    public void setDy1(int dy1)

  Description copied from interface: `ClientAnchor`
  Sets the y coordinate within the first cell

  Specified by:
    `setDy1` in interface `ClientAnchor`
  Specified by:
    `setDy1` in class `XSSFAnchor`
  Parameters:
    `dy1` - the y coordinate within the first cell

### getDy2

    public int getDy2()

  Description copied from interface: `ClientAnchor`
  Sets the y coordinate within the second cell

  Specified by:
    `getDy2` in interface `ClientAnchor`
  Specified by:
    `getDy2` in class `XSSFAnchor`
  Returns:
    the y coordinate within the second cell

### setDy2

    public void setDy2(int dy2)

  Description copied from interface: `ClientAnchor`
  Sets the y coordinate within the second cell

  Specified by:
    `setDy2` in interface `ClientAnchor`
  Specified by:
    `setDy2` in class `XSSFAnchor`
  Parameters:
    `dy2` - the y coordinate within the second cell

### getDx2

    public int getDx2()

  Description copied from interface: `ClientAnchor`
  Returns the x coordinate within the second cell

  Specified by:
    `getDx2` in interface `ClientAnchor`
  Specified by:
    `getDx2` in class `XSSFAnchor`
  Returns:
    the x coordinate within the second cell

### setDx2

    public void setDx2(int dx2)

  Description copied from interface: `ClientAnchor`
  Sets the x coordinate within the second cell

  Specified by:
    `setDx2` in interface `ClientAnchor`
  Specified by:
    `setDx2` in class `XSSFAnchor`
  Parameters:
    `dx2` - the x coordinate within the second cell

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getFrom

    @Internal
    public org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTMarker getFrom()

  Return starting anchor point

  Returns:
    starting anchor point

### setFrom

    protected void setFrom(org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTMarker from)

### getTo

    @Internal
    public org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTMarker getTo()

  Return ending anchor point

  Returns:
    ending anchor point

### setTo

    protected void setTo(org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTMarker to)

### setAnchorType

    public void setAnchorType(int anchorType)

  Sets the anchor type

  0 = Move and size with Cells, 2 = Move but don't size with cells, 3 = Don't move or size with cells.

  Specified by:
    `setAnchorType` in interface `ClientAnchor`
  Parameters:
    `anchorType` - the anchor type
  See Also:
    `ClientAnchor.MOVE_AND_RESIZE`, `ClientAnchor.MOVE_DONT_RESIZE`, `ClientAnchor.DONT_MOVE_AND_RESIZE`

### getAnchorType

    public int getAnchorType()

  Gets the anchor type

  0 = Move and size with Cells, 2 = Move but don't size with cells, 3 = Don't move or size with cells.

  Specified by:
    `getAnchorType` in interface `ClientAnchor`
  Returns:
    the anchor type
  See Also:
    `ClientAnchor.MOVE_AND_RESIZE`, `ClientAnchor.MOVE_DONT_RESIZE`, `ClientAnchor.DONT_MOVE_AND_RESIZE`

### isSet

    public boolean isSet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.